#
# spec file for package logtop
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           logtop
Version:        0.7
Release:        1.28
Summary:        Statistics generator for logs
License:        BSD-2-Clause
Group:          Productivity/Text/Utilities
URL:            https://julienpalard.github.io/logtop/
Source:         https://github.com/JulienPalard/logtop/archive/%{name}-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  uthash-devel
BuildRequires:  pkgconfig(ncursesw)

%description
Logtop is a basic log analyzer.
It allows piping logs into it to obtain statistics.

%prep

%setup -q -n %{name}-%{name}-%{version}

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install
install -D -m0644 doc/logtop.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog README.md
%license COPYRIGHT
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Sun Dec 30 2018 sogal@opensuse.org
- Updated to v0.7
  * applied ncursesw patch
  * allow UTF-8 to pass thrue
  * README written in markdown
- Dropped logtop-ncursesw.patch (applied upstream gh-PR#7)
* Tue Nov 20 2018 Cristian Rodríguez <crrodriguez@opensuse.org>
- logtop-ncursesw.patch: Move to ncursesw
* Tue Jul 31 2018 sogal@opensuse.org
- remove FixMe line
- fix license to BSD-2-Clause after reviewing it with author
* Fri Jul 27 2018 jengelh@inai.de
- Trim filler wording from description. Use noun phrase in summary.
* Mon Jul  9 2018 sogal@opensuse.org
- use original man page
* Sun Jul  8 2018 sogal@opensuse.org
- initial build
- create missing man page
